package com.ruoyi.ibs.tabs.mapper;

import com.ruoyi.ibs.tabs.domain.entity.CustTabDetail;

import java.util.List;


/**
 * 指标配置情况Mapper接口
 * 
 * @author ruoyi
 * @date 2024-12-30
 */
public interface CustTabDetailMapper 
{
    /**
     * 查询指标配置情况
     * 
     * @param id 指标配置情况主键
     * @return 指标配置情况
     */
    public CustTabDetail selectCustTabDetailById(Long id);

    /**
     * 查询指标配置情况
     *
     * @param id 指标配置情况主键
     * @return 指标配置情况
     */
    public List<CustTabDetail> selectCustTabDetailByTabId(Long id);

    /**
     * 查询指标配置情况列表
     * 
     * @param custTabDetail 指标配置情况
     * @return 指标配置情况集合
     */
    public List<CustTabDetail> selectCustTabDetailList(CustTabDetail custTabDetail);

    /**
     * 新增指标配置情况
     * 
     * @param custTabDetail 指标配置情况
     * @return 结果
     */
    public int insertCustTabDetail(CustTabDetail custTabDetail);

    /**
     * 修改指标配置情况
     * 
     * @param custTabDetail 指标配置情况
     * @return 结果
     */
    public int updateCustTabDetail(CustTabDetail custTabDetail);

    /**
     * 删除指标配置情况
     * 
     * @param id 指标配置情况主键
     * @return 结果
     */
    public int deleteCustTabDetailById(Long id);

    /**
     * 批量删除指标配置情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustTabDetailByIds(Long[] ids);
}
